Orbiq logoTrust Center Documentation
API v1 ReferenceBrandFiletype

Upload a brand asset

Uploads a logo, hero banner image, body font, or heading font for the authenticated tenant. `font` updates the body font relation. `heading-font` updates the…

PUT
/api/v1/brand/{filetype}

Uploads a logo, hero banner image, body font, or heading font for the authenticated tenant. font updates the body font relation. heading-font updates the font_2 relation. Both font endpoints accept the same file types and 1 MB limit, and use the same Admin authorization as other brand assets.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

filetype*string

Type of brand asset to manage. font is the body font. heading-font is the heading font.

Value in

  • "logo"
  • "hero"
  • "font"
  • "heading-font"

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://app.orbiqhq.com/api/v1/brand/heading-font" \  -H "Authorization: Bearer $ACCESS_TOKEN" \  -F "file=@SpaceGrotesk.woff2"

{  "fileId": "hero-file-789",  "url": "https://directus.example.com/assets/hero-file-789",  "filename": "hero-banner.jpg"}

How is this guide?